Bug 196941 - URL set by document.open() is not communicated to the UIProcess
Summary: URL set by document.open() is not communicated to the UIProcess
Status: RESOLVED FIXED
Alias: None
Product: WebKit
Classification: Unclassified
Component: WebKit2 (show other bugs)
Version: WebKit Nightly Build
Hardware: Unspecified Unspecified
: P2 Normal
Assignee: Chris Dumez
URL:
Keywords: InRadar
Depends on: 196968 197214 204205
Blocks:
  Show dependency treegraph
 
Reported: 2019-04-15 15:23 PDT by Chris Dumez
Modified: 2019-11-14 15:21 PST (History)
9 users (show)

See Also:


Attachments
Patch (17.43 KB, patch)
2019-04-15 15:27 PDT, Chris Dumez
no flags Details | Formatted Diff | Diff
Patch (17.33 KB, patch)
2019-04-16 13:51 PDT, Chris Dumez
no flags Details | Formatted Diff | Diff
Patch (17.39 KB, patch)
2019-04-16 16:06 PDT, Chris Dumez
no flags Details | Formatted Diff | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Chris Dumez 2019-04-15 15:23:37 PDT
URL set by document.open() is not communicated to the UIProcess and thus not reflected via WKWebView.URL.
Comment 1 Chris Dumez 2019-04-15 15:23:54 PDT
<rdar://problem/49237544>
Comment 2 Chris Dumez 2019-04-15 15:27:20 PDT
Created attachment 367466 [details]
Patch
Comment 3 Build Bot 2019-04-15 15:30:03 PDT
Attachment 367466 [details] did not pass style-queue:


ERROR: Source/WebCore/loader/FrameLoaderClient.h:184:  Inline functions should not be in classes annotated with WEBCORE_EXPORT. Remove the macro from the class and apply it to each appropriate method, or move the inline function definition out-of-line.  [build/webcore_export] [4]
Total errors found: 1 in 15 files


If any of these errors are false positives, please file a bug against check-webkit-style.
Comment 4 Geoffrey Garen 2019-04-15 17:08:13 PDT
Comment on attachment 367466 [details]
Patch

r=me
Comment 5 WebKit Commit Bot 2019-04-15 19:01:37 PDT
Comment on attachment 367466 [details]
Patch

Clearing flags on attachment: 367466

Committed r244321: <https://trac.webkit.org/changeset/244321>
Comment 6 WebKit Commit Bot 2019-04-15 19:01:39 PDT
All reviewed patches have been landed.  Closing bug.
Comment 7 Shawn Roberts 2019-04-16 09:00:55 PDT
After changes in https://trac.webkit.org/changeset/244321 

Mac WK2 Debug queues are exiting early after 50 crashes.

https://build.webkit.org/builders/Apple%20Mojave%20Debug%20WK2%20%28Tests%29/builds/2315

ASSERTION FAILED: m_uncommittedState.state == State::Committed
/Volumes/Data/slave/mojave-debug/build/Source/WebKit/UIProcess/PageLoadState.cpp(307) : void WebKit::PageLoadState::didFinishLoad(const Transaction::Token &)
1   0x10406ada9 WTFCrash
2   0x10d125b5b WTFCrashWithInfo(int, char const*, char const*, int)
3   0x10d9fbb4d WebKit::PageLoadState::didFinishLoad(WebKit::PageLoadState::Transaction::Token const&)
4   0x10dbb8ff2 WebKit::WebPageProxy::didFinishLoadForFrame(unsigned long long, unsigned long long, WebKit::UserData const&)

https://build.webkit.org/results/Apple%20Mojave%20Debug%20WK2%20(Tests)/r244328%20(2319)/dom/html/level1/core/documentinvalidcharacterexceptioncreatepi1-crash-log.txt
Comment 8 Shawn Roberts 2019-04-16 09:21:33 PDT
Looks like it's affecting all WK2 Debug builds. iOS Simulator and High Sierra are also exiting early or timing out.

https://build.webkit.org/builders/Apple%20High%20Sierra%20Debug%20WK2%20%28Tests%29/builds/7458

https://build.webkit.org/builders/Apple%20iOS%2012%20Simulator%20Debug%20WK2%20%28Tests%29/builds/3308
Comment 9 WebKit Commit Bot 2019-04-16 09:25:52 PDT
Re-opened since this is blocked by bug 196968
Comment 10 Chris Dumez 2019-04-16 13:51:05 PDT
Created attachment 367564 [details]
Patch
Comment 11 Build Bot 2019-04-16 13:55:25 PDT
Attachment 367564 [details] did not pass style-queue:


ERROR: Source/WebCore/loader/FrameLoaderClient.h:184:  Inline functions should not be in classes annotated with WEBCORE_EXPORT. Remove the macro from the class and apply it to each appropriate method, or move the inline function definition out-of-line.  [build/webcore_export] [4]
Total errors found: 1 in 15 files


If any of these errors are false positives, please file a bug against check-webkit-style.
Comment 12 WebKit Commit Bot 2019-04-16 14:49:18 PDT
Comment on attachment 367564 [details]
Patch

Rejecting attachment 367564 [details] from commit-queue.

Failed to run "['/Volumes/Data/EWS/WebKit/Tools/Scripts/webkit-patch', '--status-host=webkit-queues.webkit.org', '--bot-id=webkit-cq-01', 'validate-changelog', '--check-oops', '--non-interactive', 367564, '--port=mac']" exit_code: 1 cwd: /Volumes/Data/EWS/WebKit

ChangeLog entry in Source/WebCore/ChangeLog contains OOPS!.

Full output: https://webkit-queues.webkit.org/results/11890540
Comment 13 Chris Dumez 2019-04-16 16:06:31 PDT
Created attachment 367589 [details]
Patch
Comment 14 Chris Dumez 2019-04-16 16:07:39 PDT
Comment on attachment 367589 [details]
Patch

Clearing flags on attachment: 367589

Committed r244361: <https://trac.webkit.org/changeset/244361>
Comment 15 Chris Dumez 2019-04-16 16:07:41 PDT
All reviewed patches have been landed.  Closing bug.